Summary: A file compression utility
Name: lzlib
Version: 0.9
Release: 1
License: BSD
Group: Applications/File
URL: http://www.nongnu.org/lzip/lzlib.html
Source0: http://www.very-clever.com/download/nongnu/lzip/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
The lzlib compression library provides in-memory LZMA compression and
decompression functions, including integrity checking of the uncompressed
data. The compressed data format used by the library is the lzip format.

Compression/decompression is done by repeteadly calling a couple of
read/write functions until all the data has been processed by the library.
This interface is safer and less error prone than the traditional zlib
interface.

Lzlib will correctly decompress a data stream which is the concatenation of
two or more compressed data streams. The result is the concatenation of the
corresponding uncompressed data streams. Integrity testing of concatenated
compressed data streams is also supported.

All the library functions are thread safe. The library does not install any
signal handler. The decoder checks the consistency of the compressed data,
so the library should never crash even in case of corrupted input.

Lzlib implements a simplified version of the LZMA (Lempel-Ziv-Markov
chain-Algorithm) algorithm. The original LZMA algorithm was designed by
Igor Pavlov. For a description of the LZMA algorithm, see the lzip manual. 

The library is available as 32-bit and 64-bit.


%package devel
Summary: Header files developing apps which will use bzip2
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Header files of lzlib functions, for developing apps which will
use the library.

If you are compiling a 32-bit program, no special compiler options are
needed.

If you are compiling a 64-bit program, you have to compile and link your
application with "cc -q64" or "gcc -maix64".


%prep
%setup -q 


%build
%{configure} --prefix=/usr
%{__make}

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%{__mkdir} -p ${RPM_BUILD_ROOT}%{_bindir}
%{__mkdir} -p ${RPM_BUILD_ROOT}%{_libdir}
%{__mkdir} -p ${RPM_BUILD_ROOT}%{_includedir}
%{__mkdir} -p ${RPM_BUILD_ROOT}%{_infodir}

%{__install} -m 0755 minilzip ${RPM_BUILD_ROOT}%{_bindir}

%{__install} -m 0644 liblz.a ${RPM_BUILD_ROOT}%{_libdir}


%{__install} -m 0644 %{name}.h ${RPM_BUILD_ROOT}%{_includedir}

%{__cp} doc/%{name}.info ${RPM_BUILD_ROOT}%{_infodir}
%{__gzip} --best ${RPM_BUILD_ROOT}%{_infodir}/*
chmod 0644 ${RPM_BUILD_ROOT}%{_infodir}/*


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog INSTALL README
%{_bindir}/*
%{_libdir}/*
%{_infodir}/*


%files devel
%defattr(-,root,system,-)
%{_includedir}/*


%changelog
* Sun Apr 04 2010 Daniel B. <daniel@firewall-services.com> - 0.9-1
- updated to 0.9

* Thu Jul 09 2009 Michael Perzl <michael@perzl.org> - 0.5-1
- updated to version 0.5

* Wed Jul 08 2009 Michael Perzl <michael@perzl.org> - 0.4-1
- first version for AIX V5.1 and higher

